﻿using Android.App;
using Android.Widget;
using Android.OS;
using System;
using Com.Syncfusion.Calendar;
using Java.Util;
using System.Collections.Generic;
using Android.Graphics;

namespace calendarandroid
{
	[Activity(Label = "calendarandroid", MainLauncher = true, Icon = "@mipmap/icon")]
	public class MainActivity : Activity
	{


		CalendarEventCollection eventsCollection;
		List<Calendar> startTimeCollection, endTimeCollection;
		List<String> subjectCollection, colorCollection;
		SfCalendar calendar ;
		protected override void OnCreate(Bundle savedInstanceState)
		{
			base.OnCreate(savedInstanceState);

			LinearLayout lay = new LinearLayout(this);
			calendar = new SfCalendar(this);
			getAppointments();
			calendar.ShowEventsInline = true;
			calendar.DataSource = eventsCollection;
			lay.AddView(calendar);
			SetContentView(lay);
		}

		private void setStartTime()
		{
			startTimeCollection = new List<Calendar>();
			Calendar currentDate = Calendar.Instance;
			for (int i = 0; i < 5; i++)
			{
				Calendar startTime = (Calendar)currentDate.Clone();
				startTime.Set
				(
					currentDate.Get(CalendarField.Year),
					currentDate.Get(CalendarField.Month),
					currentDate.Get(CalendarField.DayOfMonth) + i,
					3,
					0,
					0
				);
				startTimeCollection.Add(startTime);
			}
			for (int i = 0; i < 5; i++)
			{
				Calendar startTime = (Calendar)currentDate.Clone();
				startTime.Set
				(
					currentDate.Get(CalendarField.Year),
					currentDate.Get(CalendarField.Month),
					currentDate.Get(CalendarField.DayOfMonth) + i,
					11,
					0,
					0
				);
				startTimeCollection.Add(startTime);
			}

			for (int i = 10; i < 20; i++)
			{
				Calendar startTime = (Calendar)currentDate.Clone();
				startTime.Set
				(
					currentDate.Get(CalendarField.Year),
					currentDate.Get(CalendarField.Month),
					currentDate.Get(CalendarField.DayOfMonth) + i,
					17,
					0,
					0
				);
				startTimeCollection.Add(startTime);
			}

		}

		/*****************************
         **Adding EndTime Collection**
         *****************************/
		private void setEndTime()
		{
			endTimeCollection = new List<Calendar>();
			Calendar currentDate = Calendar.Instance;
			for (int i = 0; i < 5; i++)
			{
				Calendar endTime = (Calendar)currentDate.Clone();
				endTime.Set
				(
					currentDate.Get(CalendarField.Year),
					currentDate.Get(CalendarField.Month),
					currentDate.Get(CalendarField.DayOfMonth) + i,
					5,
					0,
					0
				);
				endTimeCollection.Add(endTime);
			}
			for (int i = 0; i < 5; i++)
			{
				Calendar endTime = (Calendar)currentDate.Clone();
				endTime.Set
				(
					currentDate.Get(CalendarField.Year),
					currentDate.Get(CalendarField.Month),
					currentDate.Get(CalendarField.DayOfMonth) + i,
					12,
					0,
					0
				);
				endTimeCollection.Add(endTime);
			}

			for (int i = 10; i < 20; i++)
			{
				Calendar endTime = (Calendar)currentDate.Clone();
				endTime.Set
				(
					currentDate.Get(CalendarField.Year),
					currentDate.Get(CalendarField.Month),
					currentDate.Get(CalendarField.DayOfMonth) + i,
					18,
					0,
					0
				);
				endTimeCollection.Add(endTime);
			}
		}
		private void setColors()
		{
			colorCollection = new List<String>();
			colorCollection.Add("#FFA2C139");
			colorCollection.Add("#FFD80073");
			colorCollection.Add("#FF1BA1E2");
			colorCollection.Add("#FFE671B8");
			colorCollection.Add("#FFF09609");
			colorCollection.Add("#FF339933");
			colorCollection.Add("#FF00ABA9");
			colorCollection.Add("#FFE671B8");
			colorCollection.Add("#FF1BA1E2");
			colorCollection.Add("#FFD80073");
			colorCollection.Add("#FFA2C139");
			colorCollection.Add("#FFD80073");
			colorCollection.Add("#FF339933");
			colorCollection.Add("#FFE671B8");
			colorCollection.Add("#FF00ABA9");
		}
		private void setSubjects()
		{
			subjectCollection = new List<String>();
			subjectCollection.Add("GoToMeeting");
			subjectCollection.Add("Business Meeting");
			subjectCollection.Add("Conference");
			subjectCollection.Add("Project Status Discussion");
			subjectCollection.Add("Auditing");
			subjectCollection.Add("Client Meeting");
			subjectCollection.Add("Generate Report");
			subjectCollection.Add("Target Meeting");
			subjectCollection.Add("General Meeting");
			subjectCollection.Add("Pay House Rent");
			subjectCollection.Add("Car Service");
			subjectCollection.Add("Medical Check Up");
			subjectCollection.Add("Wedding Anniversary");
			subjectCollection.Add("Sam's Birthday");
			subjectCollection.Add("Jenny's Birthday");
		}
		private void getAppointments()
		{
			eventsCollection = new CalendarEventCollection();
			setColors();
			setSubjects();
			setStartTime();
			setEndTime();
			for (int i = 0; i < 15; i++)
			{
				CalendarInlineEvent appointment = new CalendarInlineEvent();
				appointment.Color = Color.ParseColor(colorCollection[i]);
				appointment.Subject = subjectCollection[i];
				appointment.StartTime = startTimeCollection[i];
				appointment.EndTime = endTimeCollection[i];
				eventsCollection.Add(appointment);
			}
		}


	}
}

